---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab duo claude token`

Generate GitLab Duo access token for Claude Code. (EXPERIMENTAL)

## Synopsis

Generate and display a GitLab Duo access token required for Claude Code authentication.

This token allows Claude Code to authenticate with GitLab AI services.
The token is automatically used when running 'glab duo claude'.

This feature is experimental. It might be broken or removed without any prior notice.
Read more about what experimental features mean at
<https://docs.gitlab.com/policy/development_stages_support/>

Use experimental features at your own risk.

```plaintext
glab duo claude token [flags]
```

## Examples

```console
$ glab duo claude token

```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
